## qt4-x11 4.8.2

=== debian/changelog ===
qt4-x11 (4:4.8.2-1) unstable; urgency=low

  * New upstream release.

  * Drop patches, merged/stolen from upstream:
    - QTBUG-24718_Fix_a_crash_in_cursorToX_when_new_block_is_added.patch
    - fix_qvfb_build.patch
    - gcc-4.7.diff
  * Refresh patches.
  * Confirm symbol files on all Debian arches for 4.8.1 and on amd64 for 4.8.2.
  * Mark qdesigner_internal symbols as (optional=internal).

 -- Modestas Vainius <modax@debian.org>  Sun, 10 Jun 2012 12:09:51 +0300

qt4-x11 (4:4.8.1-2) unstable; urgency=low

  * Team upload.

  [ Didier Raboud ]
  * Add libqt4-dev Breaks against libphonon-dev << 4:4.6.0.0-1+exp1~
    because otherwise phonon might not be there in its multiarch'ed
    version, hence might not be detected by the usual cmake Qt modules
    detectors.

  [ Pino Toscano ]
  * Change the Homepage to http://qt-project.org/.
  * Backport the upstream commit 9e981c4dd03effc2c52b52f529edfa8955e534ce to
    fix plugin loading on big endian 64 bit architectures, such as s390x and
    ppc64; patch QElfParser-fix-type-of-sh_size.patch.
  * 07_trust_dpkg-arch_over_uname-m.diff: fix the hppa case (see bug #672825).
  * Suggest libicu48 in libqtcore4 for the optional locale functions.
  * Disable the warnings about not being able to load ICU libraries;
    patch no_libicu_message.diff. (together with the above it Closes: #673537)
  * Recommend libqt4-dbg in libqt4-designer-dbg, libqt4-qt3support-dbg,
    libqt4-script-dbg, libqt4-xmlpatterns-dbg, qt4-bin-dbg, and qt4-demos-dbg.
  * Override the two lintian warnings for dbg-package-missing-depends, since
    they are false positives.
  * Fix a hypen-as-minus issue in moc-qt4 man page.
  * Change the section of libqt4-webkit-dbg to oldlibs, since it is a
    transitional package.
  * Small touches to the descriptions of packages, including specifying some
    of the tools included in libqt4-dev-bin and qt4-dev-tools.

  [ Felix Geyer ]
  * Update watch file to the new URL on qt-project.org.

  [ Modestas Vainius ]
  * Confirm symbol files on all Debian arches.

 -- Modestas Vainius <modax@debian.org>  Sat, 02 Jun 2012 16:05:32 +0300

qt4-x11 (4:4.8.1-1) unstable; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Use multiarch for importsdir:
    - update debian/libqt4-declarative-*.install files.
    - mark QML plugin packages as Multi-Arch: same.
  * Re-add patch s390x_jscore.diff to add s390/s390x support in JavaScriptCore.
    The patch was partly merged in Qt 4.8.
  * Add CVE-2011-3922.patch: Stack-buffer-overflow in glyph handling.

  [ Felix Geyer ]
  * Drop fix_ftbfs_format-security.patch, fixed upstream.
  * Refresh patches for the new upstream version.
  * Update symbol files.
  * Add QTBUG-24718_Fix_a_crash_in_cursorToX_when_new_block_is_added.patch,
    cherry-picked from upstream.
  * Make it possible to install libqt4-dev from a foreign architecture while
    having all binaries in the native architecture.
    - Move binaries from libqt4-dev into the new package libqt4-dev-bin.
    - Mark libqt4-dev-bin, qt4-qmake and qt4-linguist-tools as
      Multi-Arch: foreign.
  * Add a dh_strip call for qt4-bin-dbg instead of moving the debug files
    manually.
    - drop mv-qt4-bin-dbg.sh script.
    - drop elfutils build dependency.
  * Bump debhelper build-dependency to 9.
  * Fix hyphen-used-as-minus-sign lintian warnings.
  * Build the documentation in the dh_auto_build-indep target instead of
    dh_auto_install.
  * qt-multiarch-plugin-path-compat.diff: include legacy pre-multiarch qml
    import path.

  [ Didier Raboud ]
  * Merge the 4:4.7.4-3 unstable release: drop fix-format.diff, merged
    upstream.

  [ Pino Toscano ]
  * Fix build failures with GCC 4.7; patch gcc-4.7.diff. (Closes: #667911)
  * Fix atomic support on sparc64, by Aurelien Jarno (thanks!);
    patch qt_atomic_sparc64.patch. (Closes: #647265)
  * Remove ${shlibs:Depends} from all the -dbg packages.
  * Compress qt4-doc-html as XZ.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 May 2012 12:15:56 +0300

qt4-x11 (4:4.7.4-3) unstable; urgency=low

  * Team upload.
  * Add CVE-2011-3922.patch: Stack-buffer-overflow in glyph handling.

  [ Pino Toscano ]
  * Switch the libpng12-dev build dependency to libpng-dev. (Closes: #662484)
  * Fix build failure with -Werror=format-security (patch fix-format.diff).
  * Use dpkg-buildflags to set CFLAGS, CXXFLAGS and LDFLAGS and export them;
    Qt's build system does not support CPPFLAGS, so they are just appended
    to CFLAGS and CXXFLAGS. (Closes: #657637)
  * Set the proper section (utils) for qdbus; thanks to Jonas Smedegaard.
    (Closes: #663079)
  * Bump Standards-Version to 3.9.3, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 24 Mar 2012 19:25:33 -0300
