## qt4-x11 4.8.2%2bdfsg

=== debian/changelog ===
qt4-x11 (4:4.8.2+dfsg-11) unstable; urgency=medium

  * Take upstream patch change_all_shmget_calls_to_use_user-only_memory.patch.
    It changes the shmget calls to get user-only memory, CVE-2013-0254.
    - Set urgency to medium.
    - Drop changes from tests/auto/qtipc/qsharedmemory/tst_qsharedmemory.cpp,
    it doesn't exists in the Debian tarball.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 05 Feb 2013 18:52:29 -0300

qt4-x11 (4:4.8.2+dfsg-10) unstable; urgency=medium

  * Add SSL-certificates-blacklist-mis-issued-Turktrust-cert.patch to blacklist
    miss issued certificates from Turktrust.
    - Patch taken from upstream.
    - Set urgency to medium.
  * Add Fix_binary_incompatibility_between_openssl_versions.patch to avoid a
    bug that would cause certificate verification problems if a different
    version of openssl is loaded at runtime to the headers Qt was compiled
    against (Closes: #697582).
    - Patch taken from upstream.
    - Also deserves setting the urgency to medium.
  * Confirm symbols files with buildds' logs.
  * Make libqt4-network recommend ca-certificates. It may be needed if doing
    SSL stuff and expecting to use certificate chains.
    Also Qt does not ship certificate bundles anymore but rather uses the
    system bundle (Closes: #530532).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 19 Jan 2013 16:47:57 -0300

qt4-x11 (4:4.8.2+dfsg-9) unstable; urgency=low

  * Fix the Breaks and Replaces version in libqtdbus4 to 4:4.8.2+dfsg-8
    (Closes: #697507).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 06 Jan 2013 13:16:54 -0300

qt4-x11 (4:4.8.2+dfsg-8) unstable; urgency=low

  * Make libqtdbus4 Break+Replaces libqt4-dbus << 4:4.7.4-6, thus allowing
    proper installation (Closes: #697147).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 04 Jan 2013 12:18:01 -0300

qt4-x11 (4:4.8.2+dfsg-7) unstable; urgency=medium

  [ Pino Toscano ]
  * Re-enable parallel building for all the architectures, after
    4:4.8.2+dfsg-5 accidentally disabled it. (Closes: #696961)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Apply make_rules_for_redirect_stricter.patch taken from upstream to solve
    a "man in the middle" attack, CVE-2012-5624. Thanks Thijs Kinkhorst
    (Closes: #695156).
    - Set urgency to medium.
  * Break the circular dependency between libqt4-dbus and qdbus by adding
    libqtdbus4 with the contents of libqt4-dbus in it. Then make libqt4-dbus
    depend on both qdbus and libqtdbus4. The symbols file of libqtdbus4 depends
    on libqt4-dbus to ensure that a dependency on libqt4-dbus ensures qdbus is
    installed, also on rebuilt packages. This arrangement is transitional.
    (Closes: #669278).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 31 Dec 2012 00:48:09 -0300

qt4-x11 (4:4.8.2+dfsg-6) unstable; urgency=low

  [ Debian Qt/KDE Maintainers ]
  * Hopefully fix ia64 FTBFS:
    - Remove add-winvalid.patch. Stephan Schreiber has determined the problem
      with the precompiled headers on ia64. Thanks *a lot* Stephan.
    - Apply the changes suggested by Stephan to avoid using pre compiled
      headers just on ia64.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 18 Dec 2012 07:21:48 -0300

qt4-x11 (4:4.8.2+dfsg-5) unstable; urgency=low

  * Add some changes in order to determine the reason of the FTBFS on ia64:
    - Re-allow parallel building on ia64.
    - Pass -Winvalid-pch to CFLAGS.
    See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=696096 for more info.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 16 Dec 2012 15:00:35 -0300

qt4-x11 (4:4.8.2+dfsg-4) unstable; urgency=medium

  * Really apply add_missing_map_noreserve.patch. Thanks Sune for noticing :)
    (Closes: #685524).
  * Release to unstable. Keep urgency medium because of the fix for the CRIME
    attack.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 26 Nov 2012 14:08:14 -0300

qt4-x11 (4:4.8.2+dfsg-3) unstable; urgency=medium

  * Apply disable-SSL-compression-by-default.patch. Disables SSL compression
    by default since this appears to be the a likely cause of the currently
    hyped CRIME attack. Set urgency to medium.
  * Build-conflict against libqtwebkit-dev. Upstream said that this should be
    the correct way of handling this (Closes: #689265).
  * Add fix_jit_crash_on_x86_64.patch, which avoids 32-bit branch offset
    overflows. Taken from upstream.
  * Add add_missing_map_noreserve.patch. The previous patch uncovered a bug
    that happened when memory was reserved in swap. This patch adds a missing
    MAP_NORESERVE and fixes error checking. Taken from upstream.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 23 Nov 2012 22:09:58 -0300

qt4-x11 (4:4.8.2+dfsg-2) unstable; urgency=low

  * Remove Fix-JIT-crash-on-x86-64-avoid-32-bit-branch-offset-o.patch. It seems
    that causes crashes in an hardware-dependant fashion (Closes: #685524).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 27 Aug 2012 17:54:41 -0300

qt4-x11 (4:4.8.2+dfsg-1) unstable; urgency=low

  * Add myself to Uploaders.
  * Remove non-free zlib's RFCs (Closes: #685132):
    - Add prune-nonfree to debian/rules to remove them.
    - Add a note on README.source of what we are removing from the original
      tarball.
  * Add upstream patch Fix-cursor-truncate-to-include-line-position.patch
    needed for Calligra and katepart.
  * Add upstream patch
    Fix-JIT-crash-on-x86-64-avoid-32-bit-branch-offset-o.patch to fix JIT crash
    on x86-64 (avoid 32-bit branch offset overflow) (Closes: #684985).
  * Compress all packages using xz compression. It helps the D-I team to fit
    stuff in the first CD.
  * Close multiarch bugs created by the latest binNMU
    (Closes: #684556, #684678, #684688, #684867).
  * Update symbols files.


