=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,6 @@
 pkgs_dbgbin := libqt4-dev-bin $(filter-out %-dbg lib% $(pkgs_dbg),$(shell dh_listpackages))
 # Library package list for override_dh_makeshlibs, excludes libqt4-phonon
 pkgs_lib := $(filter-out %-dev %-dbg libqt4-phonon libqt4-dev-bin,$(filter lib%,$(shell dh_listpackages)))
-# Packages to compress as XZ
-pkgs_compress_xz := qt4-doc-html
 # Upstream changelog
 upstream_changes := $(wildcard changes-*)
 # Current debian version (e.g.: 4:4.5.2-1)
@@ -87,12 +85,12 @@
   endif
 endif
 
-ifneq ($(DEB_HOST_ARCH),ia64)
-	extra_dh_opts += --parallel
+ifeq ($(DEB_HOST_ARCH),ia64)
+	extra_configure_opts += -no-pch
 endif
 
 %:
-	dh $@ $(extra_dh_opts) --with pkgkde_symbolshelper
+	dh $@ --parallel --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
 	# Test broken hppa kernel with glibc >= 2.5
@@ -257,3 +255,7 @@
 	rm -f debian/stamp-makefile-build-tools
 
 ifeq ($(vendor),Ubuntu)
+	rm -rf po
+endif
+
+override_dh_auto_install:
