## qt4-x11 4.8.3+dfsg

=== debian/changelog ===
qt4-x11 (4:4.8.3+dfsg-0ubuntu3.4) quantal-proposed; urgency=medium

  [ Rohan Garg ]
  * Add kubuntu_98_a11y_fix_crash.diff to fix plasma crashing due to
    ubuntu-specific accessibility patch LP: #1289600

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 12 Mar 2014 16:33:21 +0100

qt4-x11 (4:4.8.3+dfsg-0ubuntu3.2) quantal-security; urgency=low

  * SECURITY UPDATE: [XML Entity Expansion Denial of Service] (LP: #1259577).
    - Add CVE-2013-4549.diff
    - add limit in src/xml/sax/qxml.cpp
    - http://lists.qt-project.org/pipermail/announce/2013-December/000036.html
    - CVE-2013-4549

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Dec 2013 22:44:01 +0000

qt4-x11 (4:4.8.3+dfsg-0ubuntu3.1) quantal-security; urgency=low

  * SECURITY UPDATE: information disclosure via MITM redirect
    - debian/patches/CVE-2012-5624.patch: don't redirect to file URLs in
      src/declarative/qml/qdeclarativexmlhttprequest.cpp.
    - CVE-2012-5624
  * SECURITY UPDATE: incorrect errors with certificate verification
    - debian/patches/CVE-2012-6093.patch: use openssl access functions to
      properly handle layout changes in
      src/network/ssl/qsslsocket_openssl.cpp,
      src/network/ssl/qsslsocket_openssl_symbols.cpp,
      src/network/ssl/qsslsocket_openssl_symbols_p.h.
    - CVE-2012-6093
  * SECURITY UPDATE: shared memory segments incorrect permissions
    - debian/patches/CVE-2013-0254.patch: set appropriate permissions in
      src/corelib/kernel/qsharedmemory_unix.cpp,
      src/corelib/kernel/qsystemsemaphore_unix.cpp,
      src/gui/image/qnativeimage.cpp,
      src/gui/image/qpixmap_x11.cpp,
      src/plugins/platforms/xcb/qxcbwindowsurface.cpp,
      src/plugins/platforms/xlib/qxlibwindowsurface.cpp,
      tools/qvfb/qvfbshmem.cpp.
    - CVE-2013-0254

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 06 Feb 2013 08:11:17 -0500

qt4-x11 (4:4.8.3+dfsg-0ubuntu3) quantal-proposed; urgency=low

  [ Iain Lane ]
  * On armel and armhf, build with -gstabs instead of -g in an effort to get
    the link step for QtWebkit to complete before timed out by the builders.

  [ Felix Geyer ]
  * Disabling SSL/TLS compression to mitigate the "CRIME" attack. (LP: #1057578)
    - Add disable-SSL-compression-by-default.patch

 -- Iain Lane <iain.lane@canonical.com>  Tue, 02 Oct 2012 10:36:17 +0100

qt4-x11 (4:4.8.3+dfsg-0ubuntu2) quantal-proposed; urgency=low

  [ Felix Geyer ]
  * Drop versioned build-dependcy on g++-4.6 [armel]. g++ 4.7 is used
    on all architectures in Ubuntu.

  [ Ken VanDine ]
  * debian/patches/fix_medium_font.diff
    - Patch from Michał Sawicz to fix Ubuntu Medium font in Qt (LP: #744812)

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 26 Sep 2012 16:25:16 -0400

qt4-x11 (4:4.8.3+dfsg-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release.
  * Drop patches that have been merged upstream:
    - QElfParser-fix-type-of-sh_size.patch
    - Fix-cursor-truncate-to-include-line-position.patch
    - qt_atomic_sparc64.patch
    - fix_use_after_free_qlocale_unix.patch
    - kubuntu_01_fix_build_glib_231.diff
    - kubuntu_33_shaped_drag.diff
  * Refresh patches:
    - 01_debian_append_qt4_suffix.diff
    - 16_hide_std_symbols_on_qtwebkit.diff
    - no_libicu_message.diff
    - kubuntu_93_disable_overlay_scrollbars.diff
  * Update symbols files.
  * Add kubuntu_38_revert_fix_jit_crash.diff as the patch removed in
    4:4.8.2-0ubuntu7 has been merged upstream.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 19 Sep 2012 19:54:40 +0200

qt4-x11 (4:4.8.2+dfsg-2ubuntu1) quantal; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Do not package ibase/firebird and sqlite2 package
      + remove from debian/control
      + libqt4-sql doesn't recommend libqt4-sql-ibase and libqt4-sql-sqlite2
    - libqt4-dbus recommends instead of depends on qdbus
    - build with -no-phonon
    - Do not build libqt4-phonon, disable in debian/control
    - Add MessagesQt.sh
    - Rules to create Messages.sh link to MessagesQt.sh and rules to create po
      dir and execute extract-messages.sh in override_dh_auto_install
    - Add and install Trolltech.conf in libqtcore4.install
    - Build QtWebkit and use it only for QtAssistant
      + Rule to put qt_webkit_version.pri in mkspecs/modules
      + Rule to remove libQtWebKit* after build
      + Exclude usr/bin/assistant-qt4 from dh_shlibdeps
  * Fixes crash in Qt Assistant during startup. (LP: #1045755)
  * Update symbols files.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 12 Sep 2012 11:32:36 +0200

qt4-x11 (4:4.8.2-0ubuntu7) quantal; urgency=low

  * Remove patch kubuntu_36_qtscript_64bit.diff causes crashes on app startup
    LP: #1046244

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 05 Sep 2012 17:31:51 +0100

qt4-x11 (4:4.8.2-0ubuntu6) quantal; urgency=low

  [ Rohan Garg ]
  * Transition to libtiff-dev 

  [ Jonathan Riddell ]
  * Add kubuntu_37_cups_settings.diff from https://bugs.kde.org/180051 and
    QTBUG-25372 use CUPS settings in the print dialogue. LP: #905147

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 24 Aug 2012 00:16:10 +0530

qt4-x11 (4:4.8.2-0ubuntu5) quantal; urgency=low

  * Add patch kubuntu_36_qtscript_64bit.diff from Qt 4.8.3 branch
    recommended by KDevelop authors. Fix JIT crash on x86-64

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 17 Aug 2012 11:46:46 +0100

qt4-x11 (4:4.8.2-0ubuntu4) quantal; urgency=low

  * Add kubuntu_35_text_cursor_position.diff from upstream fixes LP: #1024402
    "Text cursor in wrong cell in calligrawords"

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 14 Jul 2012 18:30:29 +0100

qt4-x11 (4:4.8.2-0ubuntu3) quantal; urgency=low

  * debian/control:
    - Build-Depend on libtiff5-dev instead of libtiff4-dev

 -- Michael Terry <mterry@ubuntu.com>  Tue, 10 Jul 2012 09:26:09 -0400

qt4-x11 (4:4.8.2-0ubuntu2) quantal; urgency=low

  * Add kubuntu_34_no_gold_check.diff. On some archs /usr/bin/ld.gold exists

