=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt4-x11
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Sune Vuorela <debian@pusling.com>,
@@ -9,19 +10,18 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
-               firebird-dev [amd64 armel i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sh4 sparc],
                flex,
                freetds-dev,
                g++ (>= 4:4.5) [s390],
-               g++-4.6 (>= 4.6.0-7~) [armel],
                libasound2-dev [linux-any],
                libaudio-dev,
                libcups2-dev,
                libdbus-1-dev,
                libfreetype6-dev,
-               libgl1-mesa-dev,
+               libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
+               libgles2-mesa-dev [armel armhf] | libgles2-dev [armel armhf],
                libglib2.0-dev,
-               libglu1-mesa-dev,
+               libglu1-mesa-dev [!armel !armhf] | libglu-dev [!armel !armhf],
                libgstreamer-plugins-base0.10-dev,
                libgstreamer0.10-dev,
                libgtk2.0-dev,
@@ -35,10 +35,9 @@
                libpq-dev,
                libreadline-dev,
                libsm-dev,
-               libsqlite0-dev,
                libsqlite3-dev,
                libssl-dev,
-               libtiff4-dev,
+               libtiff-dev,
                libx11-dev,
                libxcursor-dev,
                libxext-dev,
@@ -56,11 +55,10 @@
                rsync,
                unixodbc-dev,
                zlib1g-dev
-Build-Conflicts: libqtwebkit-dev
 Standards-Version: 3.9.3
 Homepage: http://qt-project.org/
-Vcs-Git: git://git.debian.org/pkg-kde/qt/qt4-x11.git
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/qt/qt4-x11.git;a=summary
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qt
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qt
 
 Package: libqtcore4
 Architecture: any
@@ -137,7 +135,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: ca-certificates
 Breaks: libqt4-core (<< 4.4.0~beta1-1)
 Replaces: libqt4-core (<< 4.4.0~beta1-1)
 Description: Qt 4 network module
@@ -197,7 +194,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: libqt4-sql-mysql | libqt4-sql-odbc | libqt4-sql-psql | libqt4-sql-sqlite | libqt4-sql-sqlite2 | libqt4-sql-ibase [amd64 armel i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sh4 sparc]
+Recommends: libqt4-sql-mysql | libqt4-sql-odbc | libqt4-sql-psql | libqt4-sql-sqlite
 Suggests: libqt4-dev
 Description: Qt 4 SQL module
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -209,17 +206,17 @@
  If you wish to use the SQL module for development, you should install the
  libqt4-dev package.
 
-Package: libqt4-sql-ibase
-Architecture: amd64 armel i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sh4 sparc
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: libqt4-dev
-Description: Qt 4 InterBase/FireBird database driver
- This package contains the InterBase/FireBird plugin for Qt 4.
- .
- Install it if you intend to use or write Qt programs that are to access an
- InterBase/FireBird DB.
+#Package: libqt4-sql-ibase
+#Architecture: amd64 armel i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sh4 sparc
+#Multi-Arch: same
+#Pre-Depends: ${misc:Pre-Depends}
+#Depends: ${misc:Depends}, ${shlibs:Depends}
+#Suggests: libqt4-dev
+#Description: Qt 4 InterBase/FireBird database driver
+# This package contains the InterBase/FireBird plugin for Qt 4.
+# .
+# Install it if you intend to use or write Qt programs that are to access an
+# InterBase/FireBird DB.
 
 Package: libqt4-sql-mysql
 Architecture: any
@@ -269,17 +266,17 @@
  Install it if you intend to use or write Qt programs that are to access an
  SQLite 3 DB.
 
-Package: libqt4-sql-sqlite2
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: libqt4-dev
-Description: Qt 4 SQLite 2 database driver
- This package contains the SQLite 2 plugin for Qt 4.
- .
- Install it if you intend to use or write Qt programs that are to access an
- SQLite 2 DB.
+#Package: libqt4-sql-sqlite2
+#Architecture: any
+#Multi-Arch: same
+#Pre-Depends: ${misc:Pre-Depends}
+#Depends: ${misc:Depends}, ${shlibs:Depends}
+#Suggests: libqt4-dev
+#Description: Qt 4 SQLite 2 database driver
+# This package contains the SQLite 2 plugin for Qt 4.
+# .
+# Install it if you intend to use or write Qt programs that are to access an
+# SQLite 2 DB.
 
 Package: libqt4-sql-tds
 Architecture: any
@@ -339,3 +336,5 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 4 XML patterns module
