=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,12 @@
 export PATH := $(QTDIR)/bin:$(PATH)
 export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
+# Use -gstabs instaed of -g on armel and armhf to make the link step complete
+# within buildd limitations
+ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), armel armhf))
+export CFLAGS := $(CFLAGS:-g=-gstabs)
+export CXXFLAGS := $(CXXFLAGS:-g=-gstabs)
+endif
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 # workaround to use lrelease.
 export LD_LIBRARY_PATH := $(QTDIR)/lib:$(LD_LIBRARY_PATH)
@@ -85,12 +91,12 @@
   endif
 endif
 
-ifeq ($(DEB_HOST_ARCH),ia64)
-	extra_configure_opts += -no-pch
+ifneq ($(DEB_HOST_ARCH),ia64)
+	extra_dh_opts += --parallel
 endif
 
 %:
-	dh $@ --parallel --with pkgkde_symbolshelper
+	dh $@ $(extra_dh_opts) --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
 	# Test broken hppa kernel with glibc >= 2.5
@@ -141,7 +147,7 @@
 	            -xmlpatterns \
 	            -no-multimedia \
 	            -audio-backend \
-	            -phonon \
+	            -no-phonon \
 	            -no-phonon-backend \
 	            -svg \
 	            -no-webkit \
@@ -167,6 +173,9 @@
 	            -icu \
 	            $(extra_configure_opts)
 
+	# Kubuntu addition: set the version of QtWebkit but don't add it to QT_CONFIG
+	sed 's/^\s*QT_CONFIG.*//' src/3rdparty/webkit/Source/WebKit/qt/qt_webkit_version.pri > mkspecs/modules/qt_webkit_version.pri
+
 override_dh_auto_build:
 	dh_auto_build
 	# Build documentations
@@ -179,6 +188,8 @@
 	# Workaround: It's a known qmake limitation.
 	# It can't generate install rules for files that don't exist yet like docs.
 	./config.status
+	# Kubuntu addition: set the version of QtWebkit but don't add it to QT_CONFIG
+	sed 's/^\s*QT_CONFIG.*//' src/3rdparty/webkit/Source/WebKit/qt/qt_webkit_version.pri > mkspecs/modules/qt_webkit_version.pri
 
 override_dh_auto_clean:
 	[ ! -f Makefile ] || $(MAKE) confclean distclean
@@ -235,27 +246,3 @@
 	  -o -name \*.so \
 	  -o -name \*.so.debug \
 	  -o -type l \
-	\) -print0 | xargs -0 rm -rf
-
-	# Delete all Makefiles, excluding some from src/3rdparty
-	find $(CURDIR) -name Makefile \
-	  ! -path $(CURDIR)/src/3rdparty/Makefile \
-	  ! -path $(CURDIR)/src/3rdparty/freetype/\* \
-	  ! -path $(CURDIR)/src/3rdparty/zlib/\* \
-	  ! -path $(CURDIR)/src/3rdparty/ptmalloc/Makefile \
-	-print0 | xargs -0 rm -rf
-
-	# Any remaining executables
-	find $(CURDIR) -type f -perm /u+x,g+x,o+x -exec file -i '{}' \; \
-	| grep -e application/x-executable \
-	| cut -d ':' -f 1 | xargs rm -f
-
-	# Generated on build
-	rm -f debian/shlibs.local
-	rm -f debian/stamp-makefile-build-tools
-
-ifeq ($(vendor),Ubuntu)
-	rm -rf po
-endif
-
-override_dh_auto_install:
