=== debian/watch ===
version=3
http://releases.qt-project.org/qt4/source/ qt-(?:x11|everywhere)-opensource-src-([^-]*)\.tar.gz
